## kdbg-trinity 3.5.13.2

=== debian/changelog ===
kdbg-trinity (4:3.5.13.2-0debian7.0.0+1) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Jul 2013 23:05:03 +0200

kdbg-trinity (2.2.2-1) squeeze; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 03 Jul 2013 01:55:45 +0200

kdbg (2.2.1-2) unstable; urgency=low

  * Redone again relibtoolization making sure it uses latest automake.
    (Closes: #577679)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 04:31:55 +0200

kdbg (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Remove patch 03_fix_ftbfs, merged upstream.
  * Update Standards-Version to 3.8.4, no changes required.
  * Add ${misc:Depends} to Depends:

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Apr 2010 18:39:35 +0200

kdbg (2.2.0-2) unstable; urgency=low

  * Add patch taken from upstrem to fix FTBFS with newer glibc 2.10 and gcc 4.4.
   (Closes: #552582)
  * Minor updates in the copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Nov 2009 23:06:37 +0100

kdbg (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Update Standards-Version to 3.8.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 Sep 2009 20:41:52 +0200

kdbg (2.1.1-1) unstable; urgency=low

  * New upstream release:
    - Do not crash when clicking on "delete" button if not program is loaded.
      (Closes: #467243)
  * Redo patches: 02_libtool_update.diff and buildprep.
  * Update upstream's email in copyright file.
  * Update copyright years.
  * Update Section in doc-base.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 29 Dec 2008 13:24:32 +0100

kdbg (2.1.0-2) unstable; urgency=low

  * Remove unnecesary build dependency on libqt3-compat-headers. 
    (Closes: #464057) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 07 Feb 2008 11:10:15 +0100

kdbg (2.1.0-1) unstable; urgency=low

   * New upstream release.
   * Update Standards-Version to 3.7.3.
   * Move homepage into control field.
   * Update menu file to new policy.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 04:52:24 +0100

kdbg (2.0.5-2) unstable; urgency=low

  * Rewrite debian/rules. Now it can be built twice in a row. 
   (Closes: #424429)
  * Dangling symlinks are not longer created. (Closes: #186169)
  * Redone relibtoolization. (Closes: #418563).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 May 2007 01:13:37 +0100

kdbg (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 19 Dec 2006 02:15:51 +0100

kdbg (2.0.4-3) unstable; urgency=low
  
  * Bumped compat to 5.
  * Added space to homepage pseudo header.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 28 Oct 2006 03:57:29 +0200

kdbg (2.0.4-2) unstable; urgency=medium

  * Dropping re-libtoolizing at build time, instead updating libtool
    with a patch. (Closes: #379811). 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 29 Jul 2006 14:19:18 +0200

kdbg (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 3.7.2, no changes required.
  * Debugger window comes to the foreground and receives the focus, after a 
    breakpoint. (Closes: #171845)
  * Added support for QString in Qt4's debug libraries. (Closes: #354373)
  * Added copyright of the debian packaging.
  * Changed kdbg webpage.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat,  3 Jun 2006 13:17:46 +0200

kdbg (2.0.3-3) unstable; urgency=low

  * Dropping patches, re-libtoolizing at build time. 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue, 21 Feb 2006 12:43:49 +0100

kdbg (2.0.3-2) unstable; urgency=low

  * Added patch: 04_am_maintainer_mode.diff, the patch adds AM_MAINTAINER_MODE to 
    configure.in (Closes: #349988). 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Thu,  2 Feb 2006 02:08:56 +0100

kdbg (2.0.3-1) unstable; urgency=low

  * New upstream release. 
  * Added patch: 10_update_libtool.diff, now the package doesn't depend from 
    libfreetype6 and other spurious libraries.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue, 24 Jan 2006 23:12:03 +0100

kdbg (2.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #342096).
  * New maintainer's email address.
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat'.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue,  6 Dec 2005 19:07:51 +0100

kdbg (2.0.0-1) unstable; urgency=low

  * Adopted by Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>.
    (Closes: #315336).
  * New upstream release.
  * Bumped standards-version to 3.6.2.
 
 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Tue, 30 Aug 2005 19:03:50 +0000

kdbg (1.9.7-2) unstable; urgency=low

  * Updated config.{sub,guess} for compilation on GNU/k*BSD (closes: #305839).

 -- Ben Burton <bab@debian.org>  Wed, 27 Apr 2005 08:11:57 +1000

kdbg (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Suggests kxsldbg, since kdbg can now interact with xsldbg for debugging
    XSLT scripts.
  * Patched kdbg/doc/en/Makefile.am to install newer parts of the manual
    that weren't installed by default.  Using AM_MAINTAINER_MODE to
    facilitate this.

 -- Ben Burton <bab@debian.org>  Sat, 26 Mar 2005 00:24:40 +1100

kdbg (1.2.10-3) unstable; urgency=low

  * Converted all PO-files to UTF-8 so that all characters are properly
    displayed (closes: #291317).

 -- Ben Burton <bab@debian.org>  Tue,  8 Feb 2005 18:52:34 +1100

kdbg (1.2.10-2) unstable; urgency=low

  * Updated debian/copyright, including more explicit copyright information
    and additional author credits.
  * Minor aesthetic update to short package description.

 -- Ben Burton <bab@debian.org>  Wed, 26 Jan 2005 12:44:28 +1100

kdbg (1.2.10-1) unstable; urgency=low

  * New upstream bugfix release.



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

install/kdbg-trinity::
	dh_testdir

	dh_install debian/kdbg.xpm opt/trinity/share/pixmaps

	dh_installman debian/kdbg.1
	mkdir -p debian/kdbg-trinity/opt/trinity/share/man
	mv debian/kdbg-trinity/usr/share/man/man1 debian/kdbg-trinity/opt/trinity/share/man/
	rmdir debian/kdbg-trinity/usr/share/man

## kdbg-trinity 14.0.4

=== debian/changelog ===
kdbg-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:16:24 +0200

## kdbg-trinity 14.1.1

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( kdbg )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_TRACE_OUTPUT   "Generate lots of trace output" OFF )
option( WITH_GDB_TRANSCRIPT "Provide file log"              OFF )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
option( BUILD_TESTPROGS    "Build testprogs executables" OFF  )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kdbg-trinity 14.0.5

=== debian/changelog ===
kdbg-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:25:28 +0200

=== debian/control ===
Source: kdbg-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, autotools-dev, automake, libtool
Standards-Version: 3.8.4
Homepage: http://www.kdbg.org/

Package: kdbg-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gdb (>= 5.0)
Suggests: kxsldbg-trinity
Description: graphical debugger interface [Trinity]
 KDbg is a graphical user interface to gdb, the GNU debugger.  It provides
 an intuitive interface for setting breakpoints, inspecting variables,
 stepping through code and much more.  KDbg requires TDE but you can of
 course debug any program.
 .
 KDbg can also debug XSLT (XML stylesheet translation) scripts by
 interfacing with xsldbg.  For this the package kxsldbg must be installed.
 .
 Features include the following:
  * Inspection of variable values in a tree structure.
  * Direct member: For certain compound data types the most important
    member values are displayed next to the variable name, so that it is
    not necessary to expand the subtree of that variable in order to see
    the member value.  KDbg can also display Qt's QString values, which
    are Unicode strings.
  * Debugger at your finger tips: The basic debugger functions (step,
    next, run, finish, until, set/clear/enable/disable breakpoint) are
    bound to function keys F5 through F10.  Quick and easy.
  * View source code, search text, set program arguments and environment
    variables, display arbitrary expressions.
  * Debugging of core dumps, attaching to running processes is possible.
  * Conditional breakpoints.

## kdbg-trinity 14.0.6

=== debian/changelog ===
kdbg-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:23:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 #export DH_VERBOSE=1
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -20,10 +20,15 @@
 	dh_testdir
 
 	# Regenerate build system
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 
 	autoreconf --install && automake -f && \

## kdbg-trinity 14.0.8

=== debian/changelog ===
kdbg-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:47:28 +0200

## kdbg-trinity 14.0.9

=== debian/changelog ===
kdbg-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:04:49 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Currently is not possible to build with --enable-final
DEB_BUILD_OPTIONS += noopt

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-tde.mk

install/kdbg-trinity::
	dh_testdir

	dh_install debian/kdbg.xpm opt/trinity/share/pixmaps

	dh_installman debian/kdbg.1
	mkdir -p debian/kdbg-trinity/opt/trinity/share/man
	mv debian/kdbg-trinity/usr/share/man/man1 debian/kdbg-trinity/opt/trinity/share/man/
	rmdir debian/kdbg-trinity/usr/share/man

## kdbg-trinity 14.0.10

=== debian/changelog ===
kdbg-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kdbg-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, autotools-dev, automake, libtool
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kdbg.org/

## kdbg-trinity 14.0.11

=== debian/changelog ===
kdbg-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 11 Oct 2021 19:27:45 +0200

## kdbg-trinity 14.0.12

=== debian/changelog ===
kdbg-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:28 +0100

## kdbg-trinity 14.0.13

=== debian/changelog ===
kdbg-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Sep 2022 04:25:25 +0200

## kdbg-trinity 14.1.0

=== debian/changelog ===
kdbg-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kdbg-trinity 14.1.1

=== debian/changelog ===
kdbg-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 03:54:45 +0200

## kdbg-trinity 14.1.2

=== debian/changelog ===
kdbg-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Apr 2024 09:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kdbg.org/

## kdbg-trinity 14.1.3

=== debian/changelog ===
kdbg-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:49:30 +0200

## kdbg-trinity 14.1.4

=== debian/changelog ===
kdbg-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kdbg-trinity 14.1.5~pre2

=== kdbg/testprogs/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### (executables)

tde_add_executable( anonstruct

  SOURCES
        anonstruct.cpp
)

tde_add_executable( locals

  SOURCES
        locals.cpp
)

tde_add_executable( maths

  SOURCES
        maths.cpp
)

tde_add_executable( nestedclass

  SOURCES
        nestedclass.cpp
)

tde_add_executable( qt

  SOURCES
        qt.cpp
  LINK
     tdecore-shared
)

tde_add_executable( repeats

  SOURCES
        repeats.cpp
  LINK
     tdecore-shared
)

tde_add_executable( std

  SOURCES
        std.cpp
)

tde_add_executable( templates

  SOURCES
        templates.cpp
)

tde_add_executable( testfile

  SOURCES
        testfile.cpp
  LINK
     tdecore-shared
)

tde_add_executable( widechar

  SOURCES
        widechar.cpp
)

=== debian/changelog ===
kdbg-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for c99967ddcb337e52b1d763fbaab7a4a3ed16a5b0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdbg-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
kdbg-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## kdbg-trinity 14.1.6~pre0

=== debian/changelog ===
kdbg-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c99967ddcb337e52b1d763fbaab7a4a3ed16a5b0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdbg-trinity 14.1.6~pre1

=== debian/changelog ===
kdbg-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8f128e2f6841e3c7378af520bd06dd90282009a7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:31:34 +0100

## kdbg-trinity 14.2.0~pre29

=== debian/changelog ===
kdbg-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1a246b003c0a261b9e980100a9f4f006fd5e9c68
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kdbg-trinity 14.2.0~pre30

=== debian/changelog ===
kdbg-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ba47954602cc490e573c6b3c5ffc208fe8814045
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:52:16 +0100
